| Bsoft 2.0.5 Bernard's software package

Functions | Variables
ps_views.cpp File Reference

Postscript output for views. More...

`#include "ps_views.h"`
`#include "ps_plot.h"`
`#include "linked_list.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
int | ps_views (Bstring &filename, Bstring &symmetry_string, View *view, int flags)
| Generates postscript plot of views on the unit sphere. More...
int | ps_views (ofstream *fps, Bstring &symmetry_string, View *view, int flags)
int | ps_views (Bstring &filename, View *view)
| Generates postscript plot of views projected as phi and theta. More...
int | ps_sets_of_views (Bstring &filename, Bstring &title, int nv, View *views, int ns, double *fom)
| Postscript plot of the distribution of sets of views. More...
int | ps_phi_theta_plot (ofstream *fps, int left, int bottom, int width, int height, int ncol)
| Generates postscript plot of projected phi and theta. More...

## Variables
int | verbose

## Detailed Description

Postscript output for views.

Author
  Bernard Heymann

Date
  Created: 20011127
  Modified: 20120416

Definition in file ps_views.cpp.

## Function Documentation

## ◆ ps_phi_theta_plot()

int ps_phi_theta_plot | ( | ofstream * | fps,
|  | int | left,
|  | int | bottom,
|  | int | width,
|  | int | height,
|  | int | ncol
| ) |  |

Generates postscript plot of projected phi and theta.

Parameters

  *fps | postscript file stream.
  left | left edge of plot.
  bottom | bottom edge of plot.
  width | width of plot.
  height | height of plot.
  ncol | number of columns in the Data table.

Returns
  int 0.

      The plotting options are determined by the flags argument:
          0 = plot views
          1 = plot numbered views
          2 = plot views with shading according to occurrence.
              The gray level indicates an estimated increase in signal-to-noise ratio.

Definition at line 334 of file ps_views.cpp.

## ◆ ps_sets_of_views()

int ps_sets_of_views | ( | Bstring & | filename,
|  | Bstring & | title,
|  | int | nv,
|  | View * | views,
|  | int | ns,
|  | double * | fom
| ) |  |

Postscript plot of the distribution of sets of views.

Parameters

  &filename | output postscript file name.
  &title | title.
  nv | number of views.
  *views | list of views.
  ns | number of sets.
  *fom | FOM values (nv*ns values).

Returns
  int 0, error if <0.

Definition at line 279 of file ps_views.cpp.

## ◆ ps_views() [1/3]

int ps_views | ( | Bstring & | filename,
|  | Bstring & | symmetry_string,
|  | View * | view,
|  | int | flags
| ) |  |

Generates postscript plot of views on the unit sphere.

Parameters

  &filename | output postscript file name.
  &symmetry_string | symmetry string to print at the top of the page.
  *view | linked list of views.
  flags | flags.

Returns
  int 0.

      The plotting options are determined by the flags argument:
          0 = plot views
          1 = plot numbered views
          2 = plot views with shading according to occurrence.
              The gray level indicates an estimated increase in signal-to-noise ratio.

Definition at line 34 of file ps_views.cpp.

## ◆ ps_views() [2/3]

int ps_views | ( | ofstream * | fps,
|  | Bstring & | symmetry_string,
|  | View * | view,
|  | int | flags
| ) |  |

Definition at line 51 of file ps_views.cpp.

## ◆ ps_views() [3/3]

int ps_views | ( | Bstring & | filename,
|  | View * | view
| ) |  |

Generates postscript plot of views projected as phi and theta.

Parameters

  &filename | output postscript file name.
  *view | linked list of views.

Returns
  int 0.

      The plotting options are determined by the flags argument:
          0 = plot views
          1 = plot numbered views
          2 = plot views with shading according to occurrence.
              The gray level indicates an estimated increase in signal-to-noise ratio.

Definition at line 236 of file ps_views.cpp.

## Variable Documentation

## ◆ verbose

int verbose